## WebKitDOMHTMLAreaElement

WebKitDOMHTMLAreaElement

## Functions

gchar * | webkit_dom_html_area_element_get_alt ()
void | webkit_dom_html_area_element_set_alt ()
gchar * | webkit_dom_html_area_element_get_coords ()
void | webkit_dom_html_area_element_set_coords ()
gchar * | webkit_dom_html_area_element_get_href ()
void | webkit_dom_html_area_element_set_href ()
gboolean | webkit_dom_html_area_element_get_no_href ()
void | webkit_dom_html_area_element_set_no_href ()
gchar * | webkit_dom_html_area_element_get_ping ()
void | webkit_dom_html_area_element_set_ping ()
gchar * | webkit_dom_html_area_element_get_shape ()
void | webkit_dom_html_area_element_set_shape ()
gchar * | webkit_dom_html_area_element_get_target ()
void | webkit_dom_html_area_element_set_target ()
gchar * | webkit_dom_html_area_element_get_hash ()
gchar * | webkit_dom_html_area_element_get_host ()
gchar * | webkit_dom_html_area_element_get_hostname ()
gchar * | webkit_dom_html_area_element_get_pathname ()
gchar * | webkit_dom_html_area_element_get_port ()
gchar * | webkit_dom_html_area_element_get_protocol ()
gchar * | webkit_dom_html_area_element_get_search ()

## Properties

gchar * | alt | Read / Write
gchar * | coords | Read / Write
gchar * | hash | Read
gchar * | host | Read
gchar * | hostname | Read
gchar * | href | Read / Write
gboolean | no-href | Read / Write
gchar * | pathname | Read
gchar * | ping | Read / Write
gchar * | port | Read
gchar * | protocol | Read
gchar * | search | Read
gchar * | shape | Read / Write
gchar * | target | Read / Write

## Types and Values

| WebKitDOMHTMLAreaElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLAreaElement

## Implemented Interfaces

WebKitDOMHTMLAreaElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_area_element_get_alt ()

    gchar *
    webkit_dom_html_area_element_get_alt (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_set_alt ()

    void
    webkit_dom_html_area_element_set_alt (WebKitDOMHTMLAreaElement *self,
                                          const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gchar |

### webkit_dom_html_area_element_get_coords ()

    gchar *
    webkit_dom_html_area_element_get_coords
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_set_coords ()

    void
    webkit_dom_html_area_element_set_coords
                                   (WebKitDOMHTMLAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gchar |

### webkit_dom_html_area_element_get_href ()

    gchar *
    webkit_dom_html_area_element_get_href (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_set_href ()

    void
    webkit_dom_html_area_element_set_href (WebKitDOMHTMLAreaElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gchar |

### webkit_dom_html_area_element_get_no_href ()

    gboolean
    webkit_dom_html_area_element_get_no_href
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gboolean

### webkit_dom_html_area_element_set_no_href ()

    void
    webkit_dom_html_area_element_set_no_href
                                   (WebKitDOMHTMLAreaElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gboolean |

### webkit_dom_html_area_element_get_ping ()

    gchar *
    webkit_dom_html_area_element_get_ping (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_set_ping ()

    void
    webkit_dom_html_area_element_set_ping (WebKitDOMHTMLAreaElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gchar |

### webkit_dom_html_area_element_get_shape ()

    gchar *
    webkit_dom_html_area_element_get_shape
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_set_shape ()

    void
    webkit_dom_html_area_element_set_shape
                                   (WebKitDOMHTMLAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gchar |

### webkit_dom_html_area_element_get_target ()

    gchar *
    webkit_dom_html_area_element_get_target
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_set_target ()

    void
    webkit_dom_html_area_element_set_target
                                   (WebKitDOMHTMLAreaElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAreaElement |
value | A gchar |

### webkit_dom_html_area_element_get_hash ()

    gchar *
    webkit_dom_html_area_element_get_hash (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_get_host ()

    gchar *
    webkit_dom_html_area_element_get_host (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_get_hostname ()

    gchar *
    webkit_dom_html_area_element_get_hostname
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_get_pathname ()

    gchar *
    webkit_dom_html_area_element_get_pathname
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_get_port ()

    gchar *
    webkit_dom_html_area_element_get_port (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_get_protocol ()

    gchar *
    webkit_dom_html_area_element_get_protocol
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

### webkit_dom_html_area_element_get_search ()

    gchar *
    webkit_dom_html_area_element_get_search
                                   (WebKitDOMHTMLAreaElement *self);

#### Parameters

self | A WebKitDOMHTMLAreaElement |

#### Returns

A gchar

## Types and Values

### WebKitDOMHTMLAreaElement

    typedef struct _WebKitDOMHTMLAreaElement WebKitDOMHTMLAreaElement;

## Property Details

### The `“alt”` property

      “alt”                      gchar *

read-write gchar* HTMLAreaElement:alt.

Flags: Read / Write

Default value: ""

### The `“coords”` property

      “coords”                   gchar *

read-write gchar* HTMLAreaElement:coords.

Flags: Read / Write

Default value: ""

### The `“hash”` property

      “hash”                     gchar *

read-only gchar* HTMLAreaElement:hash.

Flags: Read

Default value: ""

### The `“host”` property

      “host”                     gchar *

read-only gchar* HTMLAreaElement:host.

Flags: Read

Default value: ""

### The `“hostname”` property

      “hostname”                 gchar *

read-only gchar* HTMLAreaElement:hostname.

Flags: Read

Default value: ""

### The `“href”` property

      “href”                     gchar *

read-write gchar* HTMLAreaElement:href.

Flags: Read / Write

Default value: ""

### The `“no-href”` property

      “no-href”                  gboolean

read-write gboolean HTMLAreaElement:no-href.

Flags: Read / Write

Default value: FALSE

### The `“pathname”` property

      “pathname”                 gchar *

read-only gchar* HTMLAreaElement:pathname.

Flags: Read

Default value: ""

### The `“ping”` property

      “ping”                     gchar *

read-write gchar* HTMLAreaElement:ping.

Flags: Read / Write

Default value: ""

### The `“port”` property

      “port”                     gchar *

read-only gchar* HTMLAreaElement:port.

Flags: Read

Default value: ""

### The `“protocol”` property

      “protocol”                 gchar *

read-only gchar* HTMLAreaElement:protocol.

Flags: Read

Default value: ""

### The `“search”` property

      “search”                   gchar *

read-only gchar* HTMLAreaElement:search.

Flags: Read

Default value: ""

### The `“shape”` property

      “shape”                    gchar *

read-write gchar* HTMLAreaElement:shape.

Flags: Read / Write

Default value: ""

### The `“target”` property

      “target”                   gchar *

read-write gchar* HTMLAreaElement:target.

Flags: Read / Write

Default value: ""